import { J as Json, O as ObjectStorage, L as LogHandlerOptions, a as LogHandler, b as LoggerInterface, c as LogLevel } from './uuid-d543eaa1.js';
export { di as ArgumentsType, cd as AsyncMutex, V as BinInput, cT as Channel, cS as ChannelMessageEvent, d5 as CryptoEncoder, at as Currency, ar as CurrencyInput, au as DAY_MS, aR as Day, aw as DayInput, aQ as DayInputLegacy, av as DayValue, aX as DecimalInput, aW as DecimalValue, cZ as DefaultListener, c3 as Disposable, c2 as Disposer, c1 as DisposerFunction, c_ as Emitter, cX as EmitterAllHandler, cW as EmitterHandler, d2 as Encoder, J as Json, d4 as JsonEncoder, cY as ListenerSignature, cU as LocalChannel, a as LogHandler, L as LogHandlerOptions, c as LogLevel, cG as LogLevelAlias, cH as LogLevelAliasKey, cI as LogLevelAliasType, cJ as LogMessage, cF as Logger, cM as LoggerConsoleHandler, cL as LoggerContext, cK as LoggerContextInterface, b as LoggerInterface, cR as LoggerMemoryHandler, dF as MemStorage, dE as MemStorageOptions, d8 as Message, d6 as MessageAction, dc as MessageDefinitions, dd as MessageHub, d7 as MessageResult, da as MessagesDefaultMethods, db as MessagesMethods, d9 as MessagesOptions, cc as Mutex, dJ as NestedArray, d3 as NoopEncoder, O as ObjectStorage, cm as Pool, ci as PoolTask, ck as PoolTaskEvents, cg as PoolTaskFn, cj as PoolTaskIdConflictResolution, ch as PoolTaskState, b4 as Primitive, dg as PubSub, dl as RPCFn, dk as RPCOptions, dm as RPCReturn, an as RenderMessagesOptions, dj as ReturnType, bx as RoundingMode, cA as SerialQueue, bI as SortableItem, cz as TaskEvents, cy as TaskFn, a7 as Uint8ArrayToHexDump, a6 as Uint8ArrayToJson, Y as Uint8ArrayToString, c8 as UseDefer, c5 as UseDispose, c0 as XRX, W as _decodeUtf8Polyfill, _ as _encodeUtf8Polyfill, E as arrayAvg, F as arrayBatches, t as arrayEmptyInPlace, q as arrayFilterInPlace, l as arrayFlatten, m as arrayIntersection, w as arrayIsEqual, B as arrayMax, C as arrayMin, j as arrayMinus, A as arrayRandomElement, o as arrayRemoveElement, p as arraySetElement, y as arrayShuffle, z as arrayShuffleForce, x as arrayShuffleInPlace, u as arraySorted, v as arraySortedNumbers, D as arraySum, n as arraySymmetricDifference, s as arrayToggleInPlace, k as arrayUnion, i as arrayUnique, bo as avg, bm as between, bX as cloneJsonObject, bW as cloneObject, bt as cmp, bs as composeOrderby, G as createArray, cV as createLocalChannelPair, cn as createPromise, de as createPromiseProxy, h as csv, as as currency, aV as dateStringToDays, aU as day, az as dayDay, aP as dayDiff, aD as dayFromAny, aF as dayFromDate, aG as dayFromDateGMT, aK as dayFromParts, aL as dayFromString, aI as dayFromTimestamp, aC as dayFromToday, ay as dayMonth, aM as dayMonthStart, aO as dayOffset, aB as dayToDate, aE as dayToDateGMT, aA as dayToParts, aJ as dayToString, aH as dayToTimestamp, ax as dayYear, aN as dayYearStart, cC as debounce, aY as decimal, a$ as decimalCentsPart, aZ as decimalFromCents, a_ as decimalToCents, K as decodeBase16, N as decodeBase32, Q as decodeBase58, S as decodeBase62, U as decodeBase64, g as decrypt, b0 as deepEqual, b1 as deepMerge, e as deriveKeyPbkdf2, dA as detect, d as digest, bV as empty, I as encodeBase16, M as encodeBase32, P as encodeBase58, R as encodeBase62, T as encodeBase64, bP as encodeQuery, f as encrypt, bK as endSortWeight, bR as ensureKey, bS as ensureKeyAsync, a4 as equalBinary, b2 as escapeHTML, bw as escapeRegExp, dr as fetchBasic, ds as fetchJson, dw as fetchOptionsBasicAuth, du as fetchOptionsFormURLEncoded, dv as fetchOptionsJson, dt as fetchText, aq as fixBrokenUth8String, aS as forEachDay, bZ as forTimes, ao as formatMessages, dH as formatMilliseconds, a3 as fromBase64, ab as fromCamelCase, dz as getGlobal, cD as getGlobalContext, c$ as getGlobalEmitter, cN as getNamespaceFilterString, dy as getNavigator, bh as getSecureRandom, bi as getSecureRandomIfPossible, dG as getTimestamp, dx as getWindow, dp as httpMethod, cp as immediate, b7 as isArray, bd as isBoolean, dB as isBrowser, bz as isEven, by as isHalf, bb as isInteger, cE as isLocalHost, be as isNullOrUndefined, ba as isNumber, b5 as isObject, bq as isPrime, bp as isPrimeRX, b6 as isPrimitive, cw as isPromise, b8 as isRecord, bc as isSafeInteger, b9 as isString, ct as isTimeout, bf as isUint8Array, $ as joinToUint8Array, bg as jsonStringify, a5 as jsonToUint8Array, bU as last, d1 as lazyListener, bN as linkifyPlainText, bY as memoize, d0 as messages, bL as moveSortWeight, dq as parseBasicAuth, dI as parseDate, cP as parseLogLevel, br as parseOrderby, bQ as parseQuery, dC as platform, cx as promisify, dT as qid, bj as randomBoolean, bl as randomFloat, bk as randomInt, r as randomUint8Array, b$ as regExpEscape, b_ as regExpString, ap as renderMessages, bB as roundDown, bE as roundHalfAwayFromZero, bF as roundHalfDown, bG as roundHalfEven, bD as roundHalfOdd, bH as roundHalfTowardsZero, bC as roundHalfUp, bA as roundUp, bT as size, co as sleep, bM as sortedItems, bu as sortedOrderby, bJ as startSortWeight, ac as stringToBoolean, ae as stringToFloat, ad as stringToInteger, X as stringToUInt8Array, dW as suid, dV as suidBytes, dY as suidBytesDate, dX as suidDate, bn as sum, cB as throttle, cr as timeout, cq as timeoutReached, cs as timoutError, a1 as toBase64, a2 as toBase64Url, am as toBool, a8 as toCamelCase, a9 as toCapitalize, aa as toCapitalizeWords, aj as toFloat, a0 as toHex, bO as toHumanReadableUrl, ak as toInt, al as toString, Z as toUint8Array, bv as toValidFilename, aT as today, cu as tryTimeout, dS as uname, b3 as unescapeHTML, cf as useAsyncMutex, H as useBase, c7 as useDefer, c4 as useDispose, c6 as useDisposer, cb as useEventListener, dD as useExitHandler, ca as useInterval, cQ as useLevelFilter, df as useMessageHub, ce as useMutex, cO as useNamespaceFilter, cl as usePool, dh as usePubSub, dn as useRPC, c9 as useTimeout, dM as uuid, dR as uuid32Decode, dQ as uuid32Encode, dL as uuid32bit, dP as uuidB32, dK as uuidBytes, dO as uuidDecode, dN as uuidEncode, dU as uuidv4, af as valueToBoolean, ah as valueToFloat, ag as valueToInteger, ai as valueToString, cv as waitOn } from './uuid-d543eaa1.js';

declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function LoggerBrowserHandler(opt?: LogHandlerOptions): LogHandler;
declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(opt?: LogHandlerOptions): void;

/** @deprecated */
declare function LoggerBrowserClassicHandler(level?: LogLevel, opt?: LogHandlerOptions): LogHandler;

declare function supportsColors(): boolean;
declare function selectColor(namespace: string): string;

export { LocalStorage, LocalStorageOptions, LoggerBrowserClassicHandler, LoggerBrowserHandler, LoggerBrowserSetupDebugFactory, activateConsoleDebug, gravatarURLByEmail, selectColor, supportsColors, urlBase64ToUint8Array };
